package com.gyt.shr.config.settingConfig;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author coyle
 * @description 用来从系统配置文件中动态加载业务配置【这里是注册登录时候的数据长度限制】
 * 202501
 */
@Data
@Component
@ConfigurationProperties(prefix = "msg.sendconfig")
public class MsgSendConfig {
    private String appSecret = "";
    private String appType = "";
    //应用id
    private String appId = "";
    //url
    private String url = "";

    private String  signName = "";

    private String  templateId = "";

    private String  sendMessageUrl = "";

}