package com.gyt.shr.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 验证码记录表
 */
@TableName(value ="CT_CUS_CodeRecord")
@Data
public class CodeRecord {
    @TableId(type = IdType.INPUT)
    private String fid;

    /**
     * 手机号
     */
    @TableField(value = "fnumber")
    private String fnumber;

    /**
     *姓名
     */
    @TableField(value = "fname_l2")
    private String fname;

    /**
     * 验证码
     */
    @TableField(value = "cfcode")
    private String code;
    /**
     * 是否有效
     */
//    @TableField(value = "cfisvalid")
//    private boolean isvalid;
    /**
     * 验证码创建时间
     */
    @TableField(value = "fcreateTime")
    private Date createTime;

    /**
     * 验证码过期时间
     */
    @TableField(value = "cfexpiresTime")
    private Date expiresTime;

    @TableField("cfidCardNo")
    private String  idCardNo;

    @TableField("cfpid")
    private String  pid;

    @TableField("cfisSend")
    private boolean  isSend;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
