package com.gyt.shr.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 电子证明记录
 */
@TableName(value ="CT_LOG_MessageLogs")
@Data
public class EleProof {
    @TableId(type = IdType.INPUT)
    private String fid;

    /**
     * 源单据编号
     */
    @TableField(value = "CFBillNo")
    private String souNum;

    /**
     * 证明类型
     */
    @TableField(value = "CFBillNo")
    private String proofType;


    /**
     * 文件名
     */
    @TableField(value = "CFFileName")
    private String pdfName;
    /**
     * 路径
     */
    @TableField(value = "CFUrldir")
    private String urldir;
    /**
     * 员工id
     */
    @TableField(value = "CFPersonID")
    private boolean personId;


    /**
     *业务日期
     */
    @TableField(value = "FBizDate")
    private Date bizDate;

    /**
     *业务日期
     */
    @TableField(value = "billType")
    private Date billType;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
