package com.gyt.shr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户表，存储系统中的用户信息
 * @author GYY
 * @TableName admin_user
 */
@TableName(value ="T_BD_Person")
@Data
public class  Person  implements Serializable {
    /**
     * 管理员用户唯一标识
     */
    @TableField("fid")
    private String fid;

    /**
     * 管理员用户名
     */
    @TableField("fname_l2")
    private String pname;

    /**
     * fnumber
     * 工号
     */
    @TableField("fnumber")
    private String pnumber;

    /**
     * 手机号
     * fncell
     */
    @TableField("fncell")
    private String  ncell;

    @TableField("fidCardNo")
    private String  idCardNo;

    private static final long serialVersionUID = 1L;
}