package com.gyt.shr.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyt.shr.entity.DetailedCertificationBill;
import com.gyt.shr.mapper.EleProofMapper;
import com.gyt.shr.service.EleProofService;
import com.gyt.shr.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class EleProofServiceImpl extends ServiceImpl<EleProofMapper, DetailedCertificationBill> implements EleProofService {

    @Autowired
    private EleProofMapper eleProofMapper;



    @Override
    public Result<List<DetailedCertificationBill>> getCertificatByPerson(String CFPersonID) {
        return Result.success(eleProofMapper.getCertificatByPerson(CFPersonID));
    }
}
